## EntangleCameraManager EntangleCameraManager |

## Functions

EntangleCameraManager * | entangle_camera_manager_new ()
void | entangle_camera_manager_add_script ()
void | entangle_camera_manager_remove_script ()
void | entangle_camera_manager_capture ()
void | entangle_camera_manager_preview_begin ()
void | entangle_camera_manager_preview_cancel ()
void | entangle_camera_manager_set_camera ()
EntangleCamera * | entangle_camera_manager_get_camera ()

## Properties

EntangleCamera * | camera | Read / Write

## Signals

void | closed | Run First

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── EntangleCameraManager

## Description

## Functions

### entangle_camera_manager_new ()

    EntangleCameraManager *
    entangle_camera_manager_new (void);

### entangle_camera_manager_add_script ()

    void
    entangle_camera_manager_add_script (EntangleCameraManager *manager,
                                        EntangleScript *script);

### entangle_camera_manager_remove_script ()

    void
    entangle_camera_manager_remove_script (EntangleCameraManager *manager,
                                           EntangleScript *script);

### entangle_camera_manager_capture ()

    void
    entangle_camera_manager_capture (EntangleCameraManager *manager);

### entangle_camera_manager_preview_begin ()

    void
    entangle_camera_manager_preview_begin (EntangleCameraManager *manager);

### entangle_camera_manager_preview_cancel ()

    void
    entangle_camera_manager_preview_cancel
                                   (EntangleCameraManager *manager);

### entangle_camera_manager_set_camera ()

    void
    entangle_camera_manager_set_camera (EntangleCameraManager *manager,
                                        EntangleCamera *cam);

### entangle_camera_manager_get_camera ()

    EntangleCamera *
    entangle_camera_manager_get_camera (EntangleCameraManager *manager);

Get the camera currently being used

#### Parameters

manager | the camera manager window |

#### Returns

the camera or NULL.

[transfer none]

## Types and Values

## Property Details

### The `“camera”` property

      “camera”                   EntangleCamera *

Camera to be managed.

Flags: Read / Write

## Signal Details

### The `“closed”` signal

    void
    user_function (EntangleCameraManager *entanglecameramanager,
                   gpointer               user_data)

Flags: Run First